Redmine - Defect #4851

Activity screen Day separators when server in another timezone

2010-02-16 01:24 - Jeffrey Jones

Status: Closed Start date: 2010-02-16
Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version:

Description

If you look at the screenshot you will see a normal activity page (Sorry, had to blank out details).

However all the activities you can see on that day were done today. | then found out that the server timezone was set to PST

(America) and while the activities were adjusted to my timezone the day separators aren't.

This means that the edit | did today at 3pm (Japanese time) occurred at 10pm the day before (PST time) while the 5PM Edit occurred

after midnight PST so was displayed as today.

To fix the issue RedMine should adjust the day starting/ending times on the activity page to the user timezone.

(I found this problem because my server was set to the wrong timezone but this would affect spread-out teams)

Related issues:

Is duplicate of Redmine - Defect #1048: Day grouping on Activity view ignores...

Closed 2008-04-12

History

#1 - 2010-02-16 01:25 - Jeffrey Jones

- File redmine-activity-issue-new.png added

Forgot to attach the screenshot...idiot

#2 - 2010-03-18 21:12 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Duplicate

Same as #1048.

Files
redmine-activity-issue-new.png 26.9 KB 2010-02-16 Jeffrey Jones
2025-05-23 1/1



https://www.redmine.org/issues/1048
http://www.tcpdf.org

